﻿
<table border="0" width="100%">
    <tr>
        <td width = "50px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PO No";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "lblPONo";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                    edtSettings.Enabled = false;
                }).GetHtml()
        </td>
         @*<td width = "80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Amount";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "Amount";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                }).Bind(ViewData["Amount"]).GetHtml()
        </td>*@
         <td width = "80px">
            @*@Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Required Date";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                }).GetHtml()*@
        </td>
        <td >
            @*@Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RequiredDate";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                    edtSettings.Enabled = false;
                }).Bind(ViewData["RequiredDate"]).GetHtml()*@
        </td>
    </tr>
    <tr>
        <td >
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PO Date";
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PODate";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                    edtSettings.Enabled = false;
                }).Bind(ViewData["PoDate"]).GetHtml()
        </td>
        <td >
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Status PO";
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "StatusPO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                    edtSettings.Enabled = false;
                }).Bind(ViewData["Status"]).GetHtml()
        </td>
        
    </tr>
    <tr>
        <td >
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier";
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "Supplier";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                    edtSettings.Enabled = false;
                }).Bind(ViewData["Supplier"]).GetHtml()
        </td>
        <td>
        </td>
        <td>
            @Html.DevExpress().TextBox(
            Settings =>
            {
                Settings.Name = "Otentikasi";
                Settings.Width = 95;
                Settings.Height = 25;
                Settings.ClientVisible = false;
            }).Bind(ViewData["Otentikasi"]).GetHtml()
        </td>
        
    </tr>
    <tr></tr>
    
</table>
<table>
<tr>
    <td width="50px">
        @*Total*@
    </td>
    <td>
        @Html.DevExpress().Label(
            settings =>
            {
                settings.Name = "LabelAmount";
                //settings.Text = "IDR 200,000,000.00";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
            }
            ).Bind(ViewData["Amount"]).GetHtml()
    </td>
    <td>
        @Html.DevExpress().Label(
            settings =>
            {
                settings.EncodeHtml = false;
                settings.Text = "<span style=\"color: Red;\">*Total Amount of PO</span>";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
            }
        ).GetHtml()
    </td>
</tr>
</table>
<table width="100%" border="0">
     
     <tr>
        <td style="padding-right: 10px; width:130px;padding-top:12px" align="left">
            @Html.DevExpress().Button(
            edtSettings =>
                {
                    edtSettings.Text = "Release Approval";
                    edtSettings.Name = "ReleaseApproval";
                    edtSettings.Width = 130;
                    edtSettings.ClientSideEvents.Click = "function(s, e){popupApproveNo.Show();}";
                    
                }).GetHtml()
        </td>                    
        <td style="padding-right: 8px; width:80px;padding-top:12px" align="right">
            @Html.DevExpress().Button(
                edtSettings =>
                {
                    edtSettings.Text = "Reject";
                    edtSettings.Name = "Reject";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.ClientSideEvents.Click = "function(s, e){popupRejectNo.Show();}";
                }).GetHtml()
        </td>
        <td></td>
        <td style="width:80px;padding-top:12px" align="right">
            @Html.DevExpress().Button(
                edtSettings =>
                {
                    edtSettings.Text = "Back";
                    edtSettings.Name = "cmdBack";
                    edtSettings.RouteValues = new { Controller = "POApproval", Action = "Index" };
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                }).GetHtml()
        </td>
    </tr>
</table>